# Global

##

### Members

#### api :FrontendScriptApi

An instance of the frontend api available globally.

##### Type:

- FrontendScriptApi

Source:
  - services/frontend_script_api.js, line 25

### Methods

#### getJsonContent() → {*}

Source:
  - entities/fblob.js, line 22

##### Throws:

Error in case of invalid JSON

##### Returns:

Type
  *

#### getJsonContentSafely() → {*|null}

Source:
  - entities/fblob.js, line 31

##### Returns:

valid object or null if the content cannot be parsed as JSON

Type
  * | null

### Type Definitions

#### AttributeType

There are currently only two types of attributes, labels or relations.

##### Type:

- "label" | "relation"

Source:
  - entities/fattribute.js, line 3

#### NotePathRecord

##### Type:

- Object

##### Properties:

Name | Type | Description
--- | --- | ---
`isArchived` | boolean |
`isInHoistedSubTree` | boolean |
`isSearch` | boolean |
`notePath` | Array.<string> |
`isHidden` | boolean |

Source:
  - entities/fnote.js, line 36

#### NoteType

There are many different Note types, some of which are entirely opaque to the end user. Those types should be used only for checking against, they are not for direct use.

##### Type:

- "file" | "image" | "search" | "noteMap" | "launcher" | "doc" | "contentWidget" | "text" | "relationMap" | "render" | "canvas" | "mermaid" | "book" | "webView" | "code"

Source:
  - entities/fnote.js, line 29

#### int

A whole number

##### Type:

- number

Source:
  - services/frontend_script_api.js, line 20